# Okta (Session)

| Field                 | Description                                                                                                                                                                                                                                                                       |
| --------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| issuer\_url           | **string** The configured Issuer URI for the identity provider.                                                                                                                                                                                                                   |
| client\_id            | **string** The configured client ID for this application.                                                                                                                                                                                                                         |
| redirect\_url         | **string** The configured redirect callback URL for this application. Use `"com.bluefletch.ems.auth://callback"`.                                                                                                                                                                 |
| scopes                | **string** The scopes where this authentication applies.                                                                                                                                                                                                                          |
| redirect\_url\_verify | **string** Specifies the redirect URL used when refreshing cookies during the verification after reauthentication. Always set the value as `"com.bluefletch.ems.auth://verified"`. Requires the Launcher `settings` configuration to also have `verifyIdpOnReauth` set to `true`. |
| mfaVerifyIntervalWait | **integer** Number of seconds to wait before reattempting multi-factor authentication in Okta Verify push. Default is `2`. Introduced in Auth 4.6.2.                                                                                                                              |
| mfaVerifyAttempts     | **integer** Maximum number of attempts to correctly verify multi-factor authentication before account locks. Default is `10`. Introduced in Auth 4.6.2.                                                                                                                           |

**Example:**

```
...
"auth_oauth2": {
    "host_url": "https://dev.oktapreview.com",
    "client_id": "0o5o9hn89wN4AAhhJ0h7",
    "redirect_url": "com.bluefletch.ems.auth://callback",
    "scopes": "openid email profile offline_access groups",
    "logout_redirect": "com.bluefletch.ems.auth://logout",
    "mfaVerifyIntervalWait": 5,
    "mfaVerifyAttempts": 7
}
...
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bluefletch.com/bluefletch-enterprise/product-guides/authentication-and-sso/technical-guide/okta-session.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
